net.minecraft.client.renderer

## Class IconFlipped

- java.lang.Object
- - net.minecraft.client.renderer.IconFlipped

- All Implemented Interfaces:
    IIcon

      public class IconFlipped
      extends java.lang.Object
      implements IIcon

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconFlipped(IIcon par1Icon, boolean par2, boolean par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIconHeight()`
    `java.lang.String` | `getIconName()`
    `int` | `getIconWidth()`
    `float` | `getInterpolatedU(double par1)`
    `float` | `getInterpolatedV(double par1)`
    `float` | `getMaxU()`
    `float` | `getMaxV()`
    `float` | `getMinU()`
    `float` | `getMinV()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconFlipped

          public IconFlipped(IIcon par1Icon,
                     boolean par2,
                     boolean par3)

  - ### Method Detail

    - #### getIconWidth

          public int getIconWidth()

      Specified by:
        `getIconWidth` in interface `IIcon`

    - #### getIconHeight

          public int getIconHeight()

      Specified by:
        `getIconHeight` in interface `IIcon`

    - #### getMinU

          public float getMinU()

      Specified by:
        `getMinU` in interface `IIcon`

    - #### getMaxU

          public float getMaxU()

      Specified by:
        `getMaxU` in interface `IIcon`

    - #### getInterpolatedU

          public float getInterpolatedU(double par1)

      Specified by:
        `getInterpolatedU` in interface `IIcon`

    - #### getMinV

          public float getMinV()

      Specified by:
        `getMinV` in interface `IIcon`

    - #### getMaxV

          public float getMaxV()

      Specified by:
        `getMaxV` in interface `IIcon`

    - #### getInterpolatedV

          public float getInterpolatedV(double par1)

      Specified by:
        `getInterpolatedV` in interface `IIcon`

    - #### getIconName

          public java.lang.String getIconName()

      Specified by:
        `getIconName` in interface `IIcon`